Treelist for Javascript

Updated on May 17, 2021

Hierarchical list scroller component to help navigate lists with variable depth.

Compatible with mobiscroll forms, custom inputs and more. Use it on any touch screen, no matter if small or large.

Shipping with useful features for a refined UX, including:

  • Single select mode
  • Hierarchy with variable depth
  • Disabled values for restricting selection
  • Circular wheels
  • Multiple theme support
  • Modal, popup and inline display mores
  • RTL Support
  • Full localization



As part of Pickers & dropdowns it can be picked up with the Framework and Complete licenses or with the component license.


Interested in scroller controls? Other demos that could be useful:

Select Image scroller Scroller


Treelist demos available for other frameworks.

Viewing demos & code for

Javascript Treelist Treelist for Javascript

Treelist - Unordered list

Change demo
Unordered list
Javascript Treelist picker on an unordered list used as a single value select. Plain JS api for usage everywhere.
Copy code

Treelist - Ordered list

Change demo
Ordered list
Copy code

Treelist - Event handlers

Change demo
Event handlers
Javascript Treelist picker demo with event hooks for custom integration and functionality. With source code. Plain JS api for usage everywhere.
Clear event log
EVENTS FIRED: 
Copy code
var instance = mobiscroll.treelist('#demo', {
    theme: ' ',
    themeVariant: ' ',
    lang: ' ',
    labels: ['Ingredients'],
    placeholder: 'Please Select...',
    width: 200,
    onInit: function (event, inst) {
        // Your custom event handler goes here
    },
    onMarkupReady: function (event, inst) {
        // Your custom event handler goes here
    },
    onBeforeShow: function (event, inst) {
        // Your custom event handler goes here
    },
    onPosition: function (event, inst) {
        // Your custom event handler goes here
    },
    onShow: function (event, inst) {
        // Your custom event handler goes here
    },
    onSet: function (event, inst) {
        // Your custom event handler goes here
    },
    onItemTap: function (event, inst) {
        // Your custom event handler goes here
    },
    onDestroy: function (event, inst) {
        // Your custom event handler goes here
    },
    onClose: function (event, inst) {
        // Your custom event handler goes here
    },
    onChange: function (event, inst) {
        // Your custom event handler goes here
    },
    onCancel: function (event, inst) {
        // Your custom event handler goes here
    },
    onBeforeClose: function (event, inst) {
        // Your custom event handler goes here
    },
    onClear: function (event, inst) {
        // Your custom event handler goes here
    }
});
<ul id="demo" class="mbsc-cloak">
    <li>Sugar</li>
    <li>Salt</li>
    <li>Butter</li>
    <li>Flour</li>
    <li>Chocolate</li>
</ul>

Treelist - Display modes

Change demo
Display modes
Javascript Treelist for mobile with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. Plain JS api for usage everywhere.
Copy code

Treelist - Basic usage

Change demo
Basic usage
Copy code

Treelist - Desktop

Change demo
Desktop
Javascript Desktop multi-wheel dropdown component. Enjoy the excellent polished experience with cursor & pointer interaction. Plain JS api for usage everywhere.
Copy code

Treelist - Theming capabilities

Change demo
Theming capabilities

The look and feel of the treelist can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Treelist for Angular and Ionic Framework

Updated on May 17, 2021

Hierarchical list scroller component to help navigate lists with variable depth.

Compatible with mobiscroll forms, custom inputs and more. Use it on any touch screen, no matter if small or large.

Shipping with useful features for a refined UX, including:

  • Single select mode
  • Hierarchy with variable depth
  • Disabled values for restricting selection
  • Circular wheels
  • Multiple theme support
  • Modal, popup and inline display mores
  • RTL Support
  • Full localization



As part of Pickers & dropdowns it can be picked up with the Framework and Complete licenses or with the component license.


Interested in scroller controls? Other demos that could be useful:

Select Image scroller Scroller


Treelist demos available for other frameworks.

Viewing demos & code for

Angular and Ionic Treelist Treelist for Angular and Ionic Framework

Treelist - Unordered list

Change demo
Unordered list
Angular Treelist picker on an unordered list used as a single value select. For Angular 22 and Ionic 8.
Copy code

Treelist - Ordered list

Change demo

Treelist - Event handlers

Change demo
Event handlers
Angular Treelist picker demo with event hooks for custom integration and functionality. With source code. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 
Copy code
import { Component } from '@angular/core';
import { MbscTreelistOptions } from '@mobiscroll/angular';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    listSettings: MbscTreelistOptions = {
        theme: ' ',
        themeVariant: ' ',
        lang: ' ',
        width: 200,
        placeholder: 'Please Select ...',
        labels: ['Ingredients'],
        onInit: (event, inst) => {
            // Your custom event handler goes here
        },
        onMarkupReady: (event, inst) => {
            // Your custom event handler goes here
        },
        onBeforeShow: (event, inst) => {
            // Your custom event handler goes here
        },
        onPosition: (event, inst) => {
            // Your custom event handler goes here
        },
        onShow: (event, inst) => {
            // Your custom event handler goes here
        },
        onSet: (event, inst) => {
            // Your custom event handler goes here
        },
        onItemTap: (event, inst) => {
            // Your custom event handler goes here
        },
        onDestroy: (event, inst) => {
            // Your custom event handler goes here
        },
        onClose: (event, inst) => {
            // Your custom event handler goes here
        },
        onChange: (event, inst) => {
            // Your custom event handler goes here
        },
        onCancel: (event, inst) => {
            // Your custom event handler goes here
        },
        onBeforeClose: (event, inst) => {
            // Your custom event handler goes here
        },
        onClear: (event, inst) => {
            // Your custom event handler goes here
        }
    };
}
<ul mbsc-treelist [(ngModel)]="myItem" [mbsc-options]="listSettings" placeholder="Please Select...">
    <li>Sugar</li>
    <li>Salt</li>
    <li>Butter</li>
    <li>Flour</li>
    <li>Chocolate</li>
</ul>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Treelist - Display modes

Change demo
Display modes
Angular Treelist for mobile with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For Angular 22 and Ionic 8.
Copy code

Treelist - Basic usage

Change demo

Treelist - Desktop

Change demo
Desktop
Angular Desktop multi-wheel dropdown component. Enjoy the excellent polished experience with cursor & pointer interaction. For Angular 22 and Ionic 8.
Copy code

Treelist - Theming capabilities

Change demo
Theming capabilities

The look and feel of the treelist can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Treelist for React

Updated on May 17, 2021

Hierarchical list scroller component to help navigate lists with variable depth.

Compatible with mobiscroll forms, custom inputs and more. Use it on any touch screen, no matter if small or large.

Shipping with useful features for a refined UX, including:

  • Single select mode
  • Hierarchy with variable depth
  • Disabled values for restricting selection
  • Circular wheels
  • Multiple theme support
  • Modal, popup and inline display mores
  • RTL Support
  • Full localization



As part of Pickers & dropdowns it can be picked up with the Framework and Complete licenses or with the component license.


Interested in scroller controls? Other demos that could be useful:

Select Image scroller Scroller


Treelist demos available for other frameworks.

Viewing demos & code for

React Treelist Event handlers

Treelist - Unordered list

Change demo
Unordered list
React Treelist picker on an unordered list used as a single value select. For React and Ionic React.
Copy code

Treelist - Ordered list

Change demo
Ordered list
Copy code

Treelist - Event handlers

Change demo
Event handlers
React Treelist picker demo with event hooks for custom integration and functionality. With source code. For React and Ionic React.
Clear event log
EVENTS FIRED: 
1. onInit fired
2. onBeforeShow fired
3. onMarkupReady fired
4. onPosition fired
5. onShow fired
6. onPosition fired
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class App extends React.Component {
    onInit = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onMarkupReady = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onBeforeShow = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onPosition = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onShow = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onSet = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onItemTap = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onDestroy = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onClose = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onChange = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onCancel = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onBeforeClose = (event, inst) => {
        // Your custom event handler goes here
    }
    
    onClear = (event, inst) => {
        // Your custom event handler goes here
    }
    
    render() {
        return (
            <div>
                <mobiscroll.Treelist
                    ref="treelist"
                    theme="ios" 
                    themeVariant="light"
                    labels={['Ingredients']}
                    placeholder="Please Select..."
                    width={200}
                    onInit={this.onInit}
                    onMarkupReady={this.onMarkupReady}
                    onBeforeShow={this.onBeforeShow}
                    onPosition={this.onPosition}
                    onShow={this.onShow}
                    onSet={this.onSet}
                    onItemTap={this.onItemTap}
                    onDestroy={this.onDestroy}
                    onClose={this.onClose}
                    onChange={this.onChange}
                    onCancel={this.onCancel}
                    onBeforeClose={this.onBeforeClose}
                    onClear={this.onClear}
                >
                    <li>Sugar</li>
                    <li>Salt</li>
                    <li>Butter</li>
                    <li>Flour</li>
                    <li>Chocolate</li>
                </mobiscroll.Treelist>
            </div>
        );
    }    
}

import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

interface DemoProps {
  /* you can define props type definitions here */
}

interface DemoState {
  /* you can define state type definitions here */
}

class App extends React.Component< DemoProps, DemoState > {
    onClear:any;
    onBeforeClose:any;
    onCancel:any;
    onChange:any;
    onClose:any;
    onDestroy:any;
    onItemTap:any;
    onSet:any;
    onShow:any;
    onPosition:any;
    onBeforeShow:any;
    onMarkupReady:any;
    onInit:any;
    onInit = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onMarkupReady = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onBeforeShow = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onPosition = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onShow = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onSet = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onItemTap = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onDestroy = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onClose = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onChange = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onCancel = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onBeforeClose = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    onClear = (event: any, inst: any) => {
        // Your custom event handler goes here
    }
    
    render() {
        return (
            <div>
                <mobiscroll.Treelist
                    ref="treelist"
                    theme="ios" 
                    themeVariant="light"
                    labels={['Ingredients']}
                    placeholder="Please Select..."
                    width={200}
                    onInit={this.onInit}
                    onMarkupReady={this.onMarkupReady}
                    onBeforeShow={this.onBeforeShow}
                    onPosition={this.onPosition}
                    onShow={this.onShow}
                    onSet={this.onSet}
                    onItemTap={this.onItemTap}
                    onDestroy={this.onDestroy}
                    onClose={this.onClose}
                    onChange={this.onChange}
                    onCancel={this.onCancel}
                    onBeforeClose={this.onBeforeClose}
                    onClear={this.onClear}
                >
                    <li>Sugar</li>
                    <li>Salt</li>
                    <li>Butter</li>
                    <li>Flour</li>
                    <li>Chocolate</li>
                </mobiscroll.Treelist>
            </div>
        );
    }    
}

<div id="content"></div>
Show more code

Treelist - Display modes

Change demo
Display modes
React Treelist for mobile with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For React and Ionic React.
Copy code

Treelist - Basic usage

Change demo
Basic usage
Copy code

Treelist - Desktop

Change demo
Desktop
React Desktop multi-wheel dropdown component. Enjoy the excellent polished experience with cursor & pointer interaction. For React and Ionic React.
Copy code

Treelist - Theming capabilities

Change demo
Theming capabilities

The look and feel of the treelist can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos